Subject: [Pals] [Technical Errata Reported] RFC8469 (6082)

From: RFC Errata System <[email-masked]>
Date: Thu, 9 Apr 2020 07:28:17 -0700 (PDT)

The following errata report has been submitted for RFC8469,
"Recommendation to Use the Ethernet Control Word".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6082

--------------------------------------
Type: Technical
Reported by: Michal Dolegowski <[email-masked]>

Section: 3

Original Text
-------------
Thus, if the source MAC address of an Ethernet frame carried over
the PW without a control word present begins with 0x4 or 0x6, it
could be mistaken for an IPv4 or IPv6 packet.  This could,
depending on the configuration and topology of the MPLS network,
lead to a situation where all packets for a given PW do not follow
the same path.

Corrected Text
--------------
Thus, if the destination MAC address of an Ethernet frame carried over
the PW without a control word present begins with 0x4 or 0x6, it
could be mistaken for an IPv4 or IPv6 packet.  This could,
depending on the configuration and topology of the MPLS network,
lead to a situation where all packets for a given PW do not follow
the same path.

Notes
-----
The first nibble of an Ethernet frame is the first nibble of the destination MAC address, not the source MAC address.  The erroneous packet reordering occurs for traffic traveling toward the device with the 0x4... or 0x6... MAC address

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8469 (draft-ietf-pals-ethernet-cw-07)
--------------------------------------
Title               : Recommendation to Use the Ethernet Control Word
Publication Date    : November 2018
Author(s)           : S. Bryant, A. Malis, I. Bagdonas
Category            : PROPOSED STANDARD
Source              : Pseudowire And LDP-enabled Services
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Giles Heron <[email-masked]>
Date: Thu, 9 Apr 2020 16:24:05 +0100

Yes - I think that's correct.

And I must confess the source of the issue is probably section 4.6 of RFC4448 so this one is probably my fault rather than that of the RFC8469 authors (or maybe I should just blame Luca!)

Giles

> On 9 Apr 2020, at 15:28, RFC Errata System <[email-masked]> wrote:
> 
> _______________________________________________
> Pals mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pals

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 9 Apr 2020 17:50:29 -0400

Giles,

Thanks, I've confirmed this as well. And many thanks for taking the blame!
:-)

Since it doesn't affect the recommendations in the RFC, my advice to
Deborah is to mark this "Hold for document update".

Stay healthy,
Andy

On Thu, Apr 9, 2020 at 11:24 AM Giles Heron <[email-masked]> wrote:

> And I must confess the source of the issue is probably section 4.6 of
> RFC4448 so this one is probably my fault rather than that of the RFC8469
> authors (or maybe I should just blame Luca!)
>
> Giles
>
> > The first nibble of an Ethernet frame is the first nibble of the
> destination MAC address, not the source MAC address.  The erroneous packet
> reordering occurs for traffic traveling toward the device with the 0x4...
> or 0x6... MAC address
> >
> > Instructions:
> > -------------

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 10 Apr 2020 18:27:08 +0100

I think it was my fault

I am so used to IP having the SA first that I forgot that Ethernet has the DA first. Of course the DA first is more logical.

Stewart

> On 9 Apr 2020, at 22:50, Andrew G. Malis <[email-masked]> wrote:
> 
> Giles,
> 
> Thanks, I've confirmed this as well. And many thanks for taking the blame! :-)
> 
> Since it doesn't affect the recommendations in the RFC, my advice to Deborah is to mark this "Hold for document update".
> 
> Stay healthy,
> Andy
> 
> 
> On Thu, Apr 9, 2020 at 11:24 AM Giles Heron <[email-masked] <mailto:[email-masked]>> wrote:
> > On 9 Apr 2020, at 15:28, RFC Errata System <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> > https://www.rfc-editor.org/errata/eid6082 <https://www.rfc-editor.org/errata/eid6082>
> > 
> > Reported by: Michal Dolegowski <[email-masked] <mailto:[email-masked]>>
> > 
> > Section: 3
> > 
> > Original Text
> > -------------
> > [email-masked] <mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/pals <https://www.ietf.org/mailman/listinfo/pals>
>